load ../data/asc/35LL19910103_hy1.asc
D=X35LL19910103_hy1; clear X35LL19910103_hy1 

%header
%(6) lat  (7) long (9) press (10) temp (11) sal (13) O2
%(17) no3 (19) no2 (21) po4 (27) chl a 
I=find(D(:,6)>-1 & D(:,6)<1 & D(:,21)~=-999)
D=D(I,:);


long = unique(D(:,7));
%Z = [10:10:100 125 150 210 300];
Z=[1:300];
PO4 = zeros(length(Z),length(long))+NaN;

for i=1:length(long)
 I=find(D(:,7)==long(i));
 [p,II] = unique(D(I,9));
 PO4(:,i) = interp1(p,D(I(II),21),Z,'linear'); 
end


figure
 set(gca,'ydir','reverse','ylim',[0 300],'xlim',[-180 -96], ...
         'fontsize',18,'linewidth',1.2,'tickdir','out','nextplot', ...
         'add','box','on')
 [cc,hh]=contourf(long,Z,PO4,[0.3:0.1:3]); 
 clabel(cc,hh,'fontsize',18,'labelspacing',400)
 ncload ../data/model/eq025_gredu_01_0N.nc
 [ccc,hhh]=contour(squee(XU_OCEAN720_1056)-360,squee(ZT_OCEAN1_21),squee(UU), ...
          [0:0.25:2],'w')
 set(hhh,'linewidth',1.5)
 ax_long
 ylabel('Depth   [m]')
 title(['PO_4 along 0' setstr(176) 'N'])
 save ../data/mat/po4_along_eq_woce.mat long Z PO4 
