
%use "../../runs/eq025_gredu_01/physics_1996.nc"
%use "../../runs/eq025_gredu_01/tracer_1996.nc"

ncload ../data/model/eq025_gredu_01_eucana.nc


xt  = squee(XT_OCEAN721_1132)-360;
yt  = squee(YT_OCEAN136_225);
z   = squee(ZT_OCEAN1_21);
po4 = PO4;
u   = UT;
remin = REMIN./16;
o2  = OO2;

clear XT_OCEAN721_1132 YT_OCEAN136_225 ZT_OCEAN1_21 PO4 UT OO2 REMIN
I = find(u<-1e10); u(I)=NaN; po4(I)=NaN; remin(I)=NaN; o2(I)=NaN;

z_maxu     = zeros(length(yt),length(xt))+NaN;
po4_maxu   = z_maxu;
o2_maxu    = z_maxu;
remin_maxu = z_maxu;
dtimp      = z_maxu;
tmp        = z_maxu;
remindiag  = z_maxu;
po4_obs    = zeros(length(xt))+NaN;

[max_u,I] = max(u,[],1); max_u=squee(max_u); I=squee(I);

for i=1:length(xt)
 for j=1:length(yt)
  z_maxu(j,i)     = z(I(j,i)); 
  po4_maxu(j,i)   = po4(I(j,i),j,i);
  tmp(j,i)        = u(I(j,i),j,i);
  remin_maxu(j,i) = remin(I(j,i),j,i);
 end
end

%calculate distances
 for j=1:length(yt)
  for i=2:length(xt)
   timp(j,1) = 0; 
   timp(j,i) = dist([0 0]',[xt(i-1) xt(i)]')./max_u(j,i);
  end
 end
   age = cumsum(timp,2)/86400/365;
  for j=1:length(yt)
  for i=2:length(xt)
   remindiag(j,1)=NaN;
   remindiag(j,i) = (po4_maxu(j,i)-po4_maxu(j,i-1))./timp(j,i); 
  end
  end

 
%get woce po4
load ../data/mat/po4_along_eq_woce.mat %long Z PO4
[long,Z] = meshgrid(long,Z);
for i=1:length(xt)
 I = find(long>=xt(i)-0.25 & long <=xt(i)+0.25 & Z>=mean(z_maxu(:,i))-0.5 & Z<=mean(z_maxu(:,i))+0.5);
 if length(I)>0
  po4_obs(i) = PO4(I(1));
 end
end

figure
subplot(2,2,1)
 flat_pcolor(xt,yt,z_maxu); colorbar
 title('depth of max u')
subplot(2,2,2)
 flat_pcolor(xt,yt,max_u); colorbar
 title('max u throughout watercolumn')
subplot(2,2,3)
 flat_pcolor(xt,yt,po4_maxu); colorbar
 title('po4 at max u')
 

figure
 J=find(yt>=-0.2 & yt <=0.2);
  subplot(3,1,1)
  plot(xt,z_maxu(J,:),'k')
  ax_long
  ylabel('depth of max u')
  axis ij
  grid on
 subplot(3,1,2)
  plot(xt,max_u(J,:),'k')
  ax_long
  ylabel('max u')
  grid on
 subplot(3,1,3)
  set(gca,'nextplot','add','ylim',[0.5 2],'box','on')
  plot(xt,po4_maxu(J,:),'k')
  ax_long
  ylabel('PO4 at max u')
  grid on
  hold on
  I=find(isnan(po4_obs)~=1);
  plot(xt(I),po4_obs(I),'r','linewidth',1.2)

 figure
  subplot(3,1,3)
  set(gca,'nextplot','add','ylim',[0.5 2],'box','on', ...
          'fontsize',18,'linewidth',1.2)
  plot(xt,po4_maxu(J,:),'k','linewidth',1.2)
  ax_long
  ylabel('PO_4 [mmol/m^3]')
  grid on
  hold on
  I=find(isnan(po4_obs)~=1);
  plot(xt(I),po4_obs(I),'r','linewidth',1.2)
  print -depsc po4_in_euc_eq025_gredubio01.eps

figure
 J=find(yt>=-0.2 & yt <=0.2);
 hold on
 plot(xt,remin_maxu(J,:)*365*86400,'k');
 %plot(xt,mean(remindiag(J,:),1)*365*86400,'r');
 ax_long
 ylabel('remineralization rate mmolpo4/m^3/yr')

 figure
  a = mean(age(J,:),1);
  p = mean(po4_maxu(J,:),1);
  I=find(a<0.3);
  a=a(I);
  p=p(I);
  P = polyfit(a,p,1)
  plot(a,p,'k+')
  hold on
  plot(a,P(2)+P(1).*a,'r')
  xlabel('age')
  ylabel('po4 concentration')
