load ../data/asc/35LL19910103_hy1.asc
D=X35LL19910103_hy1; clear X35LL19910103_hy1 

%header
%(6) lat  (7) long (9) press (10) temp (11) sal (13) O2
%(17) no3 (19) no2 (21) po4 (27) chl a 
I=find(D(:,6)>-1 & D(:,6)<1 & D(:,21)~=-999)
D=D(I,:);


long = unique(D(:,7));
Z = [10:10:100 125 150 210 300];
PO4 = zeros(length(Z),length(long))+NaN;

for i=1:length(long)
 I=find(D(:,7)==long(i));
 [p,II] = unique(D(I,9));
 PO4(:,i) = interp1(p,D(I(II),21),Z,'linear'); 
end

figure
 subplot(1,2,1)
  set(gca,'ydir','reverse','ylim',[0 320],'xlim',[0 3], ...
          'fontsize',14,'linewidth',1.2,'tickdir','out','nextplot', ...
          'add','box','on'); grid on
  I = find(long>=-130);
  po4_o = PO4(:,I(1));
  z_o = Z;
  plot(po4_o,z_o,'k+','linewidth',1.2,'markersize',14)

  ncload ../data/model/eq025_gredu_01_0N.nc
  long_m = squee(XU_OCEAN720_1056)-360;
  z_mod = squee(ZT_OCEAN1_21);
  po4_m = squee(PPO4);
  u_m   = squee(UU);
  I=find(long_m>=-130);
  po4_m = squee(po4_m(:,I(1)))
  u_m   = squee(u_m(:,I(1)));
  plot(po4_m,z_mod,'ro','linewidth',1.2,'markersize',14) 

  xlabel('PO_4   [mmol/m^3]') 
  ylabel('Depth   [m]')
  title(['PO_4 at 0' setstr(176) 'N, 130' setstr(176) 'W'])
  legend('Observations','Model')
 subplot(1,2,2)
  set(gca,'ydir','reverse','ylim',[0 320],'xlim',[0 3], ...
          'fontsize',14,'linewidth',1.2,'tickdir','out','nextplot', ...
          'add','box','on'); grid on
  plot(u_m,z_mod,'ro','linewidth',1.2,'markersize',14)
 

  xlabel('zonal velocity   [m/s]') 
  ylabel('Depth   [m]')
  title(['Zonal velocity at 0' setstr(176) 'N, 130' setstr(176) 'W'])

%integrate transport
 z=linspace(50,300,1000);
 trmod = sum(interp1(z_mod,u_m,z).*interp1(z_mod,po4_m,z))
 trobs = sum(interp1(z_mod,u_m,z).*interp1(z_o,po4_o,z))
